Skip to content
VeilVeil
Esc
↑↓navigate↵open⌘Jpreview

Approval requests filed by level-1 agents. status=open lists only unexpired asks. Not MCP.

GET/v1/requests
Authorization
AuthorizationBearer token (JWT) · headerrequired
Hydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Query parameters
statusstring
default: "open"
Allowed:openapproveddeniedexpiredcancelled
Responses
200Requests
requestsApprovalRequest[]required
Show properties
Array of ApprovalRequest
idstringrequired
agent_idstringrequired
item_idstringrequired
grant_idstringrequired
actionstringrequired
statusstringrequired
Allowed:openapproveddeniedexpiredcancelled
created_atstring<date-time>required
expires_atstring<date-time>required
resolved_atstring<date-time>
resolved_bystring
The Kratos identity of the owner who answered — first write wins.
approval_idstring
The grant approval created by an approve resolution.
400bad status
401missing or invalid Bearer
403not owner
Request
curl -X GET "https://veil.nyc/v1/requests" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "requests": [
    {
      "id": "string",
      "agent_id": "string",
      "item_id": "string",
      "grant_id": "string",
      "action": "string",
      "status": "open",
      "created_at": "2024-01-01T00:00:00Z",
      "expires_at": "2024-01-01T00:00:00Z",
      "resolved_at": "2024-01-01T00:00:00Z",
      "resolved_by": "string",
      "approval_id": "string"
    }
  ]
}